Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/bilan_dyn.F
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/bilan_dyn.F	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/bilan_dyn.F	(revision 4482)
@@ -185,5 +185,5 @@
            WRITE(lunout,*)'dt_app=',dt_app
            WRITE(lunout,*)'dt_cum=',dt_cum
-           stop
+           call abort_gcm('bilan_dyn','stopped',1)
         endif
 
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/check_isotopes.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/check_isotopes.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/check_isotopes.F90	(revision 4482)
@@ -2,5 +2,5 @@
    USE strings_mod, ONLY: maxlen, msg, strIdx, strStack, int2str, real2str
    USE infotrac,    ONLY: nqtot, niso, nphas, isotope, isoCheck, iqIsoPha, isoSelect, &
-                          ntiso, iH2O, nzone, tracers, isoName,  itZonIso, tnat
+                          ntiso, iH2O, nzone, tracers, isoName,  itZonIso, getKey
    IMPLICIT NONE
    include "dimensions.h"
@@ -10,5 +10,6 @@
    CHARACTER(LEN=maxlen) :: modname, msg1, nm(2)
    INTEGER :: ixt, ipha, k, i, iq, iiso, izon, ieau, iqeau, iqpar
-   INTEGER, ALLOCATABLE :: ix(:)
+   INTEGER, ALLOCATABLE ::   ix(:)
+   REAL,    ALLOCATABLE, SAVE :: tnat(:)
    REAL    :: xtractot, xiiso, deltaD, q1, q2
    REAL, PARAMETER :: borne     = 1e19,  &
@@ -28,9 +29,10 @@
    IF(niso == 0)        RETURN                   !--- No isotopes => finished
    IF(first) THEN
-      iso_eau = strIdx(isoName,'H2[16]O')
-      iso_HDO = strIdx(isoName,'H[2]HO')
-      iso_O18 = strIdx(isoName,'H2[18]O')
-      iso_O17 = strIdx(isoName,'H2[17]O')
-      iso_HTO = strIdx(isoName,'H[3]HO')
+      iso_eau = strIdx(isoName,'H216O')
+      iso_HDO = strIdx(isoName,'HDO')
+      iso_O18 = strIdx(isoName,'H218O')
+      iso_O17 = strIdx(isoName,'H217O')
+      iso_HTO = strIdx(isoName,'HTO')
+      IF(getKey('tnat', tnat)) CALL abort_gcm(modname, 'missing isotopic parameter', 1)
       first = .FALSE.
    END IF
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/conf_gcm.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/conf_gcm.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/conf_gcm.F90	(revision 4482)
@@ -415,5 +415,5 @@
         write(lunout,*)'conf_gcm: La valeur de clat passee par run.def', &
              ' est differente de celle lue sur le fichier  start '
-        STOP
+        CALL abort_gcm("conf_gcm","stopped",1)
      ENDIF
 
@@ -429,5 +429,5 @@
         write(lunout,*)'conf_gcm: La valeur de grossismx passee par ', &
              'run.def est differente de celle lue sur le fichier  start '
-        STOP
+        CALL abort_gcm("conf_gcm","stopped",1)
      ENDIF
 
@@ -443,5 +443,5 @@
         write(lunout,*)'conf_gcm: La valeur de grossismy passee par ', &
              'run.def est differente de celle lue sur le fichier  start '
-        STOP
+        CALL abort_gcm("conf_gcm","stopped",1)
      ENDIF
 
@@ -449,5 +449,5 @@
         write(lunout,*) &
              'conf_gcm: ***  ATTENTION !! grossismx < 1 .   *** '
-        STOP
+        CALL abort_gcm("conf_gcm","stopped",1)
      ELSE
         alphax = 1. - 1./ grossismx
@@ -457,5 +457,5 @@
         write(lunout,*) &
              'conf_gcm: ***  ATTENTION !! grossismy < 1 .   *** '
-        STOP
+        CALL abort_gcm("conf_gcm","stopped",1)
      ELSE
         alphay = 1. - 1./ grossismy
@@ -479,5 +479,5 @@
            write(lunout,*)' *** fxyhypb lu sur le fichier start est ', &
                 'F alors  qu il est  T  sur  run.def  ***'
-           STOP
+           CALL abort_gcm("conf_gcm","stopped",1)
         ENDIF
      ELSE
@@ -486,5 +486,5 @@
            write(lunout,*)' ***  fxyhypb lu sur le fichier start est ', &
                 'T alors  qu il est  F  sur  run.def  ****  '
-           STOP
+           CALL abort_gcm("conf_gcm","stopped",1)
         ENDIF
      ENDIF
@@ -502,5 +502,5 @@
            write(lunout,*)'conf_gcm: La valeur de dzoomx passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
-           STOP
+           CALL abort_gcm("conf_gcm","stopped",1)
         ENDIF
      ENDIF
@@ -518,5 +518,5 @@
            write(lunout,*)'conf_gcm: La valeur de dzoomy passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
-           STOP
+           CALL abort_gcm("conf_gcm","stopped",1)
         ENDIF
      ENDIF
@@ -533,5 +533,5 @@
            write(lunout,*)'conf_gcm: La valeur de taux passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
-           STOP
+           CALL abort_gcm("conf_gcm","stopped",1)
         ENDIF
      ENDIF
@@ -548,5 +548,5 @@
            write(lunout,*)'conf_gcm: La valeur de tauy passee par ', &
                 'run.def est differente de celle lue sur le fichier  start '
-           STOP
+           CALL abort_gcm("conf_gcm","stopped",1)
         ENDIF
      ENDIF
@@ -569,5 +569,5 @@
               write(lunout,*)' *** ysinus lu sur le fichier start est F', &
                    ' alors  qu il est  T  sur  run.def  ***'
-              STOP
+              CALL abort_gcm("conf_gcm","stopped",1)
            ENDIF
         ELSE
@@ -576,5 +576,5 @@
               write(lunout,*)' *** ysinus lu sur le fichier start est T', &
                    ' alors  qu il est  F  sur  run.def  ****  '
-              STOP
+              CALL abort_gcm("conf_gcm","stopped",1)
            ENDIF
         ENDIF
@@ -599,14 +599,4 @@
      type_trac = 'lmdz'
      CALL getin('type_trac',type_trac)
-
-     !Config  Key  = config_inca
-     !Config  Desc = Choix de configuration de INCA
-     !Config  Def  = none
-     !Config  Help = Choix de configuration de INCA :
-     !Config         'none' = sans INCA
-     !Config         'chem' = INCA avec calcul de chemie
-     !Config         'aero' = INCA avec calcul des aerosols 
-     config_inca = 'none'
-     CALL getin('config_inca',config_inca)
 
      !Config  Key  = ok_dynzon 
@@ -672,5 +662,4 @@
      write(lunout,*)' offline = ', offline
      write(lunout,*)' type_trac = ', type_trac
-     write(lunout,*)' config_inca = ', config_inca
      write(lunout,*)' ok_dynzon = ', ok_dynzon 
      write(lunout,*)' ok_dyn_ins = ', ok_dyn_ins 
@@ -712,5 +701,5 @@
         write(lunout,*) &
              'conf_gcm: ***  ATTENTION !! grossismx < 1 .   *** '
-        STOP
+        CALL abort_gcm("conf_gcm","stopped",1)
      ELSE
         alphax = 1. - 1./ grossismx
@@ -719,5 +708,5 @@
      IF( grossismy.LT.1. )  THEN
         write(lunout,*) 'conf_gcm: ***ATTENTION !! grossismy < 1 . *** '
-        STOP
+        CALL abort_gcm("conf_gcm","stopped",1)
      ELSE
         alphay = 1. - 1./ grossismy
@@ -795,14 +784,4 @@
      type_trac = 'lmdz'
      CALL getin('type_trac',type_trac)
-
-     !Config  Key  = config_inca
-     !Config  Desc = Choix de configuration de INCA
-     !Config  Def  = none
-     !Config  Help = Choix de configuration de INCA :
-     !Config         'none' = sans INCA
-     !Config         'chem' = INCA avec calcul de chemie
-     !Config         'aero' = INCA avec calcul des aerosols 
-     config_inca = 'none'
-     CALL getin('config_inca',config_inca)
 
      !Config  Key  = ok_dynzon 
@@ -912,5 +891,4 @@
      write(lunout,*)' offline = ', offline
      write(lunout,*)' type_trac = ', type_trac
-     write(lunout,*)' config_inca = ', config_inca
      write(lunout,*)' ok_dynzon = ', ok_dynzon
      write(lunout,*)' ok_dyn_ins = ', ok_dyn_ins 
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/dynetat0.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/dynetat0.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/dynetat0.F90	(revision 4482)
@@ -6,9 +6,9 @@
 ! Purpose: Initial state reading.
 !-------------------------------------------------------------------------------
-  USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, tnat, alpha_ideal, iH2O
+  USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName
   USE strings_mod, ONLY: maxlen, msg, strStack, real2str, int2str
   USE netcdf,      ONLY: NF90_OPEN,  NF90_NOWRITE, NF90_INQ_VARID, &
                          NF90_CLOSE, NF90_GET_VAR, NF90_NoErr
-  USE readTracFiles_mod, ONLY: new2oldName
+  USE readTracFiles_mod, ONLY: new2oldH2O, newHNO3, oldHNO3, getKey
   USE control_mod, ONLY: planet_type
   USE assert_eq_m, ONLY: assert_eq
@@ -41,5 +41,6 @@
   INTEGER, PARAMETER :: length=100
   INTEGER :: iq, fID, vID, idecal, iqParent, iName, iZone, iPhase
-  REAL    :: time, tab_cntrl(length)               !--- RUN PARAMS TABLE
+  REAL    :: time, tnat, alpha_ideal, tab_cntrl(length)    !--- RUN PARAMS TABLE
+  LOGICAL :: lSkip, ll
 !-------------------------------------------------------------------------------
   modname="dynetat0"
@@ -127,21 +128,26 @@
 
 !--- Tracers
+  ll=.FALSE.
+#ifdef REPROBUS
+  ll = NF90_INQ_VARID(fID, 'HNO3tot', vID) /= NF90_NoErr                                 !--- DETECT OLD REPRO start.nc FILE
+#endif
   DO iq=1,nqtot
     var = tracers(iq)%name
-    oldVar = new2oldName(var)
-    !--------------------------------------------------------------------------------------------------------------------------
-    IF(NF90_INQ_VARID(fID, var, vID) == NF90_NoErr) THEN                                 !=== REGULAR CASE
+    oldVar = new2oldH2O(var)
+    lSkip = ll .AND. var == 'HNO3'                                                       !--- FORCE "HNO3_g" READING FOR "HNO3"
+#ifdef REPROBUS
+    ix = strIdx(newHNO3, var); IF(ix /= 0) oldVar = oldHNO3(ix)                          !--- REPROBUS HNO3 exceptions
+#endif
+#ifdef INCA
+    IF(var == 'O3') oldVar = 'OX'                                                        !--- DEAL WITH INCA OZONE EXCEPTION
+#endif
+    !--------------------------------------------------------------------------------------------------------------------------
+    IF(NF90_INQ_VARID(fID, var, vID) == NF90_NoErr .AND. .NOT.lSkip) THEN                !=== REGULAR CASE: AVAILABLE VARIABLE
       CALL err(NF90_GET_VAR(fID,vID,q(:,:,:,iq)),"get",var)
     !--------------------------------------------------------------------------------------------------------------------------
-    ELSE IF(NF90_INQ_VARID(fID, oldVar, vID) == NF90_NoErr) THEN                         !=== OLD NAME
+    ELSE IF(NF90_INQ_VARID(fID, oldVar, vID) == NF90_NoErr) THEN                         !=== TRY WITH ALTERNATE NAME
       CALL msg('Tracer <'//TRIM(var)//'> is missing => initialized to <'//TRIM(oldVar)//'>', modname)
       CALL err(NF90_GET_VAR(fID,vID,q(:,:,:,iq)),"get",oldVar)
     !--------------------------------------------------------------------------------------------------------------------------
-#ifdef INCA
-    ELSE IF(NF90_INQ_VARID(fID, 'OX',   vID) == NF90_NoErr .AND. var == 'O3') THEN       !=== INCA: OX INSTEAD OF O3
-      CALL msg('Tracer <O3> is missing => initialized to <OX>', modname)
-      CALL err(NF90_GET_VAR(fID,vID,q(:,:,:,iq)),"get",'OX')
-    !--------------------------------------------------------------------------------------------------------------------------
-#endif
     ELSE IF(tracers(iq)%iso_iGroup == iH2O .AND. niso > 0) THEN                          !=== WATER ISOTOPES
       iName    = tracers(iq)%iso_iName
@@ -149,6 +155,8 @@
       iqParent = tracers(iq)%iqParent
       IF(tracers(iq)%iso_iZone == 0) THEN
+         IF(getKey('tnat', tnat, isoName(iName)) .OR. getKey('alpha', alpha_ideal, isoName(iName))) &
+            CALL abort_gcm(TRIM(modname), 'missing isotopic parameters', 1)
          CALL msg('Tracer <'//TRIM(var)//'> is missing => initialized with a simplified Rayleigh distillation law.', modname)
-         q(:,:,:,iq) = q(:,:,:,iqParent)*tnat(iName)*(q(:,:,:,iqParent)/30.e-3)**(alpha_ideal(iName)-1.)
+         q(:,:,:,iq) = q(:,:,:,iqParent)*tnat*(q(:,:,:,iqParent)/30.e-3)**(alpha_ideal-1.)
       ELSE
          CALL msg('Tracer <'//TRIM(var)//'> is missing => initialized to its parent isotope concentration.', modname)
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/dynredem.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/dynredem.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/dynredem.F90	(revision 4482)
@@ -167,5 +167,5 @@
 !-------------------------------------------------------------------------------
   USE strings_mod, ONLY: maxlen
-  USE infotrac, ONLY: nqtot, tracers, types_trac
+  USE infotrac, ONLY: nqtot, tracers, type_trac
   USE control_mod
   USE netcdf,   ONLY: NF90_OPEN,  NF90_NOWRITE, NF90_GET_VAR, NF90_INQ_VARID,  &
@@ -228,5 +228,5 @@
 !--- Tracers in file "start_trac.nc" (added by Anne)
   lread_inca=.FALSE.; fil="start_trac.nc"
-  IF(ANY(types_trac=='inca') .OR. ANY(types_trac=='inco')) INQUIRE(FILE=fil,EXIST=lread_inca)
+  IF(ANY(type_trac == ['inca','inco'])) INQUIRE(FILE=fil,EXIST=lread_inca)
   IF(lread_inca) CALL err(NF90_OPEN(fil,NF90_NOWRITE,nid_trac),"open")
 
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/gcm.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/gcm.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/gcm.F90	(revision 4482)
@@ -20,5 +20,5 @@
 
   USE filtreg_mod
-  USE infotrac
+  USE infotrac, ONLY: nqtot, init_infotrac
   USE control_mod
   USE mod_const_mpi, ONLY: COMM_LMDZ
@@ -178,5 +178,5 @@
 #ifdef CPP_IOIPSL
   if (calend == 'earth_360d') then
-     call ioconf_calendar('360d')
+     call ioconf_calendar('360_day')
      write(lunout,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
   else if (calend == 'earth_365d') then
@@ -205,5 +205,5 @@
   !  Choix du nombre de traceurs et du schema pour l'advection
   !  dans fichier traceur.def, par default ou via INCA
-  call infotrac_init
+  call init_infotrac
 
   ! Allocation de la tableau q : champs advectes   
Index: LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/groupe.F
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/groupe.F	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/groupe.F	(revision 4482)
@@ -51,5 +51,6 @@
       if (firstcall) then
          if (groupe_ok) then
-           if(mod(iim,2**ngroup).ne.0) stop'probleme du nombre de point'
+            if(mod(iim,2**ngroup).ne.0)         
+     &        CALL abort_gcm('groupe','probleme du nombre de point',1)
          endif
          firstcall=.false.
